package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.TbSchoolMajorQsRecord;
import org.apache.ibatis.annotations.Mapper;

/**
 * 学校专业QSMapper接口
 * 
 * @author ruoyi
 * @date 2022-11-16
 */
@Mapper
public interface TbSchoolMajorQsRecordMapper 
{
    /**
     * 查询学校专业QS
     * 
     * @param id 学校专业QS主键
     * @return 学校专业QS
     */
    public TbSchoolMajorQsRecord selectTbSchoolMajorQsRecordById(Long id);

    /**
     * 查询学校专业QS列表
     * 
     * @param tbSchoolMajorQsRecord 学校专业QS
     * @return 学校专业QS集合
     */
    public List<TbSchoolMajorQsRecord> selectTbSchoolMajorQsRecordList(TbSchoolMajorQsRecord tbSchoolMajorQsRecord);

    /**
     * 新增学校专业QS
     * 
     * @param tbSchoolMajorQsRecord 学校专业QS
     * @return 结果
     */
    public int insertTbSchoolMajorQsRecord(TbSchoolMajorQsRecord tbSchoolMajorQsRecord);

    /**
     * 修改学校专业QS
     * 
     * @param tbSchoolMajorQsRecord 学校专业QS
     * @return 结果
     */
    public int updateTbSchoolMajorQsRecord(TbSchoolMajorQsRecord tbSchoolMajorQsRecord);

    /**
     * 删除学校专业QS
     * 
     * @param id 学校专业QS主键
     * @return 结果
     */
    public int deleteTbSchoolMajorQsRecordById(Long id);

    /**
     * 批量删除学校专业QS
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbSchoolMajorQsRecordByIds(String[] ids);
}
