package com.ruoyi.system.service.impl;

import java.util.List;
import java.util.stream.Collectors;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TbSchoolMajorQsRecordMapper;
import com.ruoyi.system.domain.TbSchoolMajorQsRecord;
import com.ruoyi.system.service.ITbSchoolMajorQsRecordService;
import com.ruoyi.common.core.text.Convert;

/**
 * 学校专业QSService业务层处理
 * 
 * @author ruoyi
 * @date 2022-11-16
 */
@Service
public class TbSchoolMajorQsRecordServiceImpl implements ITbSchoolMajorQsRecordService 
{
    @Autowired
    private TbSchoolMajorQsRecordMapper tbSchoolMajorQsRecordMapper;

    @Autowired
    private CommonServiceImpl commonService;

    /**
     * 查询学校专业QS
     * 
     * @param id 学校专业QS主键
     * @return 学校专业QS
     */
    @Override
    public TbSchoolMajorQsRecord selectTbSchoolMajorQsRecordById(Long id)
    {
        TbSchoolMajorQsRecord tbSchoolMajorQsRecord=tbSchoolMajorQsRecordMapper.selectTbSchoolMajorQsRecordById(id);
        tbSchoolMajorQsRecord.setSchoolName(commonService.getSchoolCnName(tbSchoolMajorQsRecord.getSchoolId()));
        return tbSchoolMajorQsRecord;
    }

    /**
     * 查询学校专业QS列表
     * 
     * @param tbSchoolMajorQsRecord 学校专业QS
     * @return 学校专业QS
     */
    @Override
    public List<TbSchoolMajorQsRecord> selectTbSchoolMajorQsRecordList(TbSchoolMajorQsRecord tbSchoolMajorQsRecord)
    {
        List<TbSchoolMajorQsRecord> list=tbSchoolMajorQsRecordMapper.selectTbSchoolMajorQsRecordList(tbSchoolMajorQsRecord);
        list.stream().filter(tbSchoolMajorQsRecord1 -> {
            tbSchoolMajorQsRecord1.setSchoolName(commonService.getSchoolCnName(tbSchoolMajorQsRecord1.getSchoolId()));
            return true;
        }).collect(Collectors.toList());
        return list;
    }

    /**
     * 新增学校专业QS
     * 
     * @param tbSchoolMajorQsRecord 学校专业QS
     * @return 结果
     */
    @Override
    public int insertTbSchoolMajorQsRecord(TbSchoolMajorQsRecord tbSchoolMajorQsRecord)
    {
        return tbSchoolMajorQsRecordMapper.insertTbSchoolMajorQsRecord(tbSchoolMajorQsRecord);
    }

    /**
     * 修改学校专业QS
     * 
     * @param tbSchoolMajorQsRecord 学校专业QS
     * @return 结果
     */
    @Override
    public int updateTbSchoolMajorQsRecord(TbSchoolMajorQsRecord tbSchoolMajorQsRecord)
    {
        return tbSchoolMajorQsRecordMapper.updateTbSchoolMajorQsRecord(tbSchoolMajorQsRecord);
    }

    /**
     * 批量删除学校专业QS
     * 
     * @param ids 需要删除的学校专业QS主键
     * @return 结果
     */
    @Override
    public int deleteTbSchoolMajorQsRecordByIds(String ids)
    {
        return tbSchoolMajorQsRecordMapper.deleteTbSchoolMajorQsRecordByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除学校专业QS信息
     * 
     * @param id 学校专业QS主键
     * @return 结果
     */
    @Override
    public int deleteTbSchoolMajorQsRecordById(Long id)
    {
        return tbSchoolMajorQsRecordMapper.deleteTbSchoolMajorQsRecordById(id);
    }
}
